UALARM(3)

NAME
ualarm - schedule signal after specified time

SYNOPSIS
#include <unistd.h>
u_int
ualarm(u_int microseconds, u_int interval);

DESCRIPTION
This is a simplified interface to setitimer(2).

The ualarm() function waits a count of microseconds before asserting the terminating signal SIGALRM. System activity or time used in processing the call may cause a slight delay.

If the interval argument is non-zero, the SIGALRM signal will be sent to the process every interval microseconds after the timer expires (e.g. after value microseconds have passed).

RETURN VALUES
When the signal has successfully been caught, ualarm() returns the amount of time left on the clock. The maximum number of microseconds allowed is 2147483647.

SEE ALSO
getitimer(2), setitimer(2), sigpause(2), sigvec(2), alarm(3), signal(3), sleep(3), usleep(3)

HISTORY
The ualarm() function appeared in 4.3BSD.